## org.apache.commons.collections.iterators
Class EmptyIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractEmptyIterator
          org.apache.commons.collections.iterators.EmptyIterator

All Implemented Interfaces:
  Iterator, ResettableIterator

public class EmptyIterator
extends org.apache.commons.collections.iterators.AbstractEmptyIterator
implements ResettableIterator

Provides an implementation of an empty iterator.

This class provides an implementation of an empty iterator. This class provides for binary compatability between Commons Collections 2.1.1 and 3.1 due to issues with `IteratorUtils`.

Since:
  Commons Collections 2.1.1 and 3.1
Version:
  $Revision: 1.1 $ $Date: 2004/05/22 09:46:39 $
Author:
  Stephen Colebourne

Field Summary
`static Iterator` `INSTANCE` Singleton instance of the iterator.
`static ResettableIterator` `RESETTABLE_INSTANCE` Singleton instance of the iterator.

Constructor Summary
`protected` `EmptyIterator()` Constructor.

Method Summary
`void` `add(Object obj)`
`Object` `getKey()`
`Object` `getValue()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`Object` `next()`
`int` `nextIndex()`
`Object` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `reset()` Resets the iterator back to the position at which the iterator was created.
`void` `set(Object obj)`
`Object` `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.ResettableIterator
`reset`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Field Detail

### RESETTABLE_INSTANCE

    public static final ResettableIterator RESETTABLE_INSTANCE

  Singleton instance of the iterator.

  Since:
    Commons Collections 3.1

### INSTANCE

    public static final Iterator INSTANCE

  Singleton instance of the iterator.

  Since:
    Commons Collections 2.1.1 and 3.1

Constructor Detail

### EmptyIterator

    protected EmptyIterator()

  Constructor.

Method Detail

### hasNext

    public boolean hasNext()

### next

    public Object next()

### hasPrevious

    public boolean hasPrevious()

### previous

    public Object previous()

### nextIndex

    public int nextIndex()

### previousIndex

    public int previousIndex()

### add

    public void add(Object obj)

### set

    public void set(Object obj)

### remove

    public void remove()

### getKey

    public Object getKey()

### getValue

    public Object getValue()

### setValue

    public Object setValue(Object value)

### reset

    public void reset()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.